За последние 24 часа нас посетили 9740 программистов и 863 робота. Сейчас ищут 330 программистов ...

Не загружаются модули openssl и curlи з-за разницы в thread-safe и Non-thread-safe

Тема в разделе "Установка PHP", создана пользователем DVS75, 7 авг 2022.

  1. DVS75

    DVS75 Гость

    С нами с:
    7 авг 2022
    Сообщения:
    1
    Симпатии:
    0
    Установил PHP 8.1.9 Thread-Safe 64 – последний стабильный, на Windows 11.

    Тем не менее, при запуске Apache2.4.54 (Win64) ругается на чем свет стоит, что curl, openssl и soap скомпилированы по-другому: их версия – Non-Thread-Safe:

    Код (Text):
    1. PHP Warning:  PHP Startup: curl: Unable to initialize module\nModule compiled with build ID=API20210902,NTS,VS16\nPHP  compiled with build ID=API20210902,TS,VS16\nThese options need to match\n in Unknown on line 0
    2.  
    3. PHP Warning:  PHP Startup: openssl: Unable to initialize module\nModule compiled with build ID=API20210902,NTS,VS16\nPHP  compiled with build ID=API20210902,TS,VS16\nThese options need to match\n in Unknown on line 0
    4.  
    5. PHP Warning:  PHP Startup: soap: Unable to initialize module\nModule compiled with build ID=API20210902,NTS,VS16\nPHP  compiled with build ID=API20210902,TS,VS16\nThese options need to match\n in Unknown on line 0
    Соответственно, функции из curl и openssl не распознаются.

    Насколько я знаю, модули openssl и curl сами по себе не thread-safe, но почему тогда раньше вопрос не возникал с PHP, который Thread-Safe?

    Посоветуйте, пожалуйста, как загрузить эти модули, так как без openssl мне в принципе никак не обойтись :).

    Спасибо!